package de.firstdata.ipg.api.client.action.object;

import de.firstdata.ipg.api.client.action.CreatePaymentURL;
import de.firstdata.ipg.api.schema.Payment;
import de.firstdata.ipg.api.schema.PaymentUrlTxType;
import de.firstdata.ipg.api.schema.Transaction;
import de.firstdata.ipg.api.schema.TransactionDetails;

public class CreatePaymentURLObject extends IPGAPIActionObject implements CreatePaymentURL {

	public CreatePaymentURLObject(final String orderID) {
		getCreatePaymentURL().getTransaction().getTransactionDetails().setOrderId(orderID);
	}

	@Override
	public void setStoreId(final String storeID) {
		getCreatePaymentURL().getTransaction().getPaymentUrlTxType().setStoreId(storeID);
	}

	@Override
	public void setTransactionType(final String transactionType) {
		getCreatePaymentURL().getTransaction().getPaymentUrlTxType().setType(transactionType);
	}

	@Override
	public de.firstdata.ipg.api.schema.CreatePaymentURL getCreatePaymentURL() {
		if (this.createPaymentURL == null) {
			this.createPaymentURL = new de.firstdata.ipg.api.schema.CreatePaymentURL();
			this.createPaymentURL.setTransaction(new Transaction());
			this.createPaymentURL.getTransaction().setPayment(new Payment());
			this.createPaymentURL.getTransaction().setPaymentUrlTxType(new PaymentUrlTxType());
			this.createPaymentURL.getTransaction().setTransactionDetails(new TransactionDetails());
		}
		return this.createPaymentURL;
	}
}
