package de.firstdata.ipg.api.client.action.object;

import de.firstdata.ipg.api.client.action.InitiatedClearing;
import de.firstdata.ipg.api.schema.InitiateClearing;
import de.firstdata.ipg.api.schema.Terminal;

public class InitiatedClearingObject extends IPGAPIActionObject implements InitiatedClearing {

	public InitiatedClearingObject() {
		getInitiateClearing();
	}

	@Override
	public void setStoreId(final String storeId) {
		getInitiateClearing().setStoreId(storeId);
	}

	@Override
	public InitiateClearing getInitiateClearing() {
		if (this.initiateClearing == null) {
			this.initiateClearing = new InitiateClearing();
		}
		return this.initiateClearing;
	}

	@Override
	public void setTraceNumber(final Integer pTraceNumber) {
		getInitiateClearing().setTraceNumber(pTraceNumber);
	}

	@Override
	public void setTerminalId(final String pTerminalId) {
		final InitiateClearing initiateClearing = getInitiateClearing();
		Terminal terminal = initiateClearing.getTerminal();
		if (terminal == null) {
			terminal = new Terminal();
			initiateClearing.setTerminal(terminal);
		}
		terminal.setTerminalID(pTerminalId);
	}

}
