package de.firstdata.ipg.api.client.action.object;

import java.math.BigDecimal;

import de.firstdata.ipg.api.client.action.InquiryMerchantRateAction;
import de.firstdata.ipg.api.schema.RequestMerchantRateForDynamicPricing;

public class InquiryMerchantRateActionObject extends IPGAPIActionObject implements InquiryMerchantRateAction {

	public InquiryMerchantRateActionObject() {
		getGetLastOrders();
	}

	@Override
	public void setStoreId(final String storeID) {
		getRequestMerchantRateForDynamicPricing().setStoreId(storeID);
	}

	@Override
	public void setBaseAmountAndForeignCurrency(final BigDecimal baseAmount, final String foreignCurrency) {
		getRequestMerchantRateForDynamicPricing().setBaseAmount(baseAmount);
		getRequestMerchantRateForDynamicPricing().setForeignCurrency(foreignCurrency);

	}

	@Override
	public RequestMerchantRateForDynamicPricing getRequestMerchantRateForDynamicPricing() {
		if (this.requestMerchantRateForDynamicPricing == null) {
			this.requestMerchantRateForDynamicPricing = new RequestMerchantRateForDynamicPricing();
		}
		return this.requestMerchantRateForDynamicPricing;
	}
}
