package de.firstdata.ipg.api.client.transaction.creditcard;

import de.firstdata.ipg.api.client.transaction.creditcard.setter.AdditionalTransactionDataSetter;
import de.firstdata.ipg.api.client.transaction.creditcard.setter.MCC6012Setter;
import de.firstdata.ipg.api.client.transaction.creditcard.setter.PaymentFacilitatorSetter;
import de.firstdata.ipg.api.client.transaction.creditcard.setter.Secure3DSetter;
import de.firstdata.ipg.api.client.transaction.creditcard.setter.UpopSecurePlusSetter;
import de.firstdata.ipg.api.client.transaction.creditcard.setter.WalletSetter;
import de.firstdata.ipg.api.client.transaction.setter.BasketSetter;
import de.firstdata.ipg.api.client.transaction.setter.BillingSetter;
import de.firstdata.ipg.api.client.transaction.setter.PaymentSetter;
import de.firstdata.ipg.api.client.transaction.setter.ShippingSetter;
import de.firstdata.ipg.api.client.transaction.setter.TransactionDetailsSetter;
import de.firstdata.ipg.api.schema.CardFunctionType;

public interface CCPayerAuthTransaction extends CCTransaction, AdditionalTransactionDataSetter, BasketSetter, BillingSetter, MCC6012Setter, PaymentSetter,
		PaymentFacilitatorSetter, UpopSecurePlusSetter, Secure3DSetter, ShippingSetter, TransactionDetailsSetter, WalletSetter {

	void setCardFunction(final CardFunctionType cardFunction);

}
